OCF_HEARTBEAT_RABBIT(7)

NAME
ocf_heartbeat_rabbitmq-cluster - rabbitmq clustered

SYNOPSIS

rabbitmq-cluster [start | stop | monitor | meta-data | validate-all]

DESCRIPTION

Starts cloned rabbitmq cluster instance. NB: note that this RA cannot be spawned across a mix of pacemaker and pacemaker-remote nodes. Only on pacemaker *or* pacemaker-remote nodes exclusively.

SUPPORTED PARAMETERS

set_policy
    Policy string to pass to 'rabbitmqctl set_policy' right after bootstrapping the first rabbitmq instance.

    (unique, optional, string, no default)

SUPPORTED ACTIONS

This resource agent supports the following actions (operations):

start
    Starts the resource. Suggested minimum timeout: 100s.

stop
    Stops the resource. Suggested minimum timeout: 90s.

monitor
    Performs a detailed status check. Suggested minimum timeout: 40s. Suggested interval: 10s.

meta-data
    Retrieves resource agent metadata (internal use only). Suggested minimum timeout: 10s.

validate-all
    Performs a validation of the resource configuration. Suggested minimum timeout: 20s.

EXAMPLE CRM SHELL

The following is an example configuration for a rabbitmq-cluster resource using the crm(8) shell:

    primitive p_rabbitmq-cluster ocf:heartbeat:rabbitmq-cluster \
      op monitor timeout="40s" interval="10s" depth="0"

EXAMPLE PCS

The following is an example configuration for a rabbitmq-cluster resource using pcs(8)

    pcs resource create p_rabbitmq-cluster ocf:heartbeat:rabbitmq-cluster \
      op monitor timeout="40s" interval="10s" OCF_CHECK_LEVEL="0"

SEE ALSO

http://clusterlabs.org/

AUTHOR

ClusterLabs contributors (see the resource agent source for information about individual authors)